MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002423VCMIOtherpublic2016-03-07 18:432016-10-02 16:07
Reporterfisik 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version15.10
Product Version0.98 
Target VersionFixed in Version0.99 
Summary0002423: Cmake should force to use bundled fuzzylite or change usage of sysem libs.
DescriptionI had experienced a crash when using a system fuzzylite. It failed during map loading with the error

/usr/local/bin/vcmiclient: symbol lookup error: /usr/local/lib/vcmi/AI/libVCAI.so: undefined symbol: _ZN2fl6EngineC1ERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE

the similar problem was mentioned in vcmi forum http://forum.vcmi.eu/viewtopic.php?t=375&postdays=0&postorder=asc&start=615&sid=b4725c040d50fc18a1d871dd42f29ff1 [^]

the error was

Error: /usr/lib/x86_64-linux-gnu/vcmi/AI/libVCAI.so: undefined symbol: _ZN2fl4Rule5parseERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEPKNS_6EngineE

 However, removing fuzzylite from the system and rebuilding vcmi help - the game starts as expected.

This way I suppose - cmake should probably always use bundled copy of fuzzylight.
 
Steps To Reproduceinstall ubuntu 15.10

sudo apt-get install libfuzzylite-dev

git clone && compile && run the game
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006471)
fisik (reporter)
2016-03-07 18:46

Sorry, the error message from the forum was

Error: /usr/lib/x86_64-linux-gnu/vcmi/AI/libVCAI.so: undefined symbol: _ZN2fl4Rule5parseERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEPKNS_6EngineE

The solution in the forum thread was to remove system lib too.
(0006775)
SXX (administrator)
2016-09-29 21:08

Yeah this is a mess. I wish someone just added strong option to only use bundled FL or system one. Though for now I mainly build it with system one from Ubuntu 16.04 since one bundled with VCMI doesn't work with latest Clang.
(0006808)
SXX (administrator)
2016-10-02 16:07

Option added:
https://github.com/vcmi/vcmi/pull/232 [^]

- Issue History
Date Modified Username Field Change
2016-03-07 18:43 fisik New Issue
2016-03-07 18:43 fisik Status new => assigned
2016-03-07 18:43 fisik Assigned To => Warmonger
2016-03-07 18:46 fisik Note Added: 0006471
2016-03-07 20:13 Warmonger Assigned To Warmonger =>
2016-03-07 20:13 Warmonger Status assigned => new
2016-03-07 20:13 Warmonger Category AI - Adventure Map => Other
2016-09-29 21:08 SXX Note Added: 0006775
2016-09-29 21:08 SXX Status new => acknowledged
2016-10-02 16:07 SXX Note Added: 0006808
2016-10-02 16:07 SXX Status acknowledged => resolved
2016-10-02 16:07 SXX Fixed in Version => 0.99
2016-10-02 16:07 SXX Resolution open => fixed
2016-10-02 16:07 SXX Assigned To => vmarkovtsev

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean